import * as island from 'island';
export interface Endpoint {
    name: string;
    options: island.EndpointOptions;
    method: string;
}
export interface Input {
    body?: any;
    session?: any;
    result?: any;
}
export interface Output {
    body?: any;
    session?: any;
    result?: any;
    query?: any;
    params?: any;
}
export declare class Tester {
    private static endpoints;
    private static installed;
    private static origin;
    static install(islandModule: typeof island): void;
    static uninstall(): void;
    static register(_: any): void;
    private static splitUri;
    static GET(uri: string, input: Input, sanitizeOnly?: boolean): Output;
    static PUT(uri: string, input: Input, sanitizeOnly?: boolean): Output;
    static POST(uri: string, input: Input, sanitizeOnly?: boolean): Output;
    static DEL(uri: string, input: Input, sanitizeOnly?: boolean): Output;
    private static execute;
}
